<template>
  <v-footer class="py-5">
    <v-container>
      <v-row>
        <v-col cols="12" md="4" class="d-flex align-center justify-end">
          <v-btn
            v-for="social in socials"
            :key="social.url"
            :href="social.url"
            class="mx-4"
            icon
            color="primary darken-4"
            dark
            x-large
          >
            <v-icon color="primary darken-4" size="50">
              {{ social.icon }}
            </v-icon>
          </v-btn>
        </v-col>
        <v-col cols="12" md="4" class="d-flex align-center justify-center">
          <span class="subtitle">
            <v-icon color="primary darken-4">{{ mdiPhone }}</v-icon>
            <a class="black--text" href="tel:+8008912311">800-891-2311</a>
          </span>
        </v-col>
        <v-col cols="12" md="4" class="d-flex align-center justify-center justify-md-start">
          <span class="subtitle">
            <v-icon color="primary darken-4">{{ mdiEmail }}</v-icon>
            <a class="black--text" href="mailto:info@findyournextapartment.com">
              info@findyournextapartment.com
            </a>
          </span>
        </v-col>
      </v-row>
      <v-row>
        <v-col style="text-align: center">
          <a class="primary--text text--darken-4">
            Info About Broker Service
          </a>
        </v-col>
        <v-col style="text-align: center">
          <a class="primary--text text--darken-4">
            Consumer Protection Notice
          </a>
        </v-col>
        <v-col cols="12">
          <span class="body-2 primary--text text--darken-2 text-center d-block">
            © 2020 Find Your Next Apartments.
          </span>
        </v-col>
      </v-row>
    </v-container>
  </v-footer>
</template>

<script lang="ts">
import { mdiFacebook, mdiInstagram, mdiEmail, mdiPhone } from '@mdi/js'
import { defineComponent } from '@vue/composition-api'

export default defineComponent({
  name: 'AppFooter',
  setup () {
    return {
      mdiEmail,
      mdiPhone,
      socials: [
        { icon: mdiFacebook, url: 'https://www.facebook.com/findyournextapartmentdallas/' },
        { icon: mdiInstagram, url: 'https://www.instagram.com/findyournextapartment_dallas/' }
      ]
    }
  }
})
</script>
